Skip to content
Browse files

add active_record_deprecated_finders as a dep

  • Loading branch information...
1 parent 1db54df commit dd2c9b9578d423c60c3a5eb19a7841e8a61faadf @jonleighton jonleighton committed Apr 12, 2012
Showing with 9 additions and 0 deletions.
  1. +6 −0 Gemfile
  2. +2 −0 activerecord/activerecord.gemspec
  3. +1 −0 activerecord/lib/active_record.rb
View
6 Gemfile
@@ -18,6 +18,12 @@ else
gem 'journey', :git => "git://github.com/rails/journey"
end
+if ENV['AR_DEPRECATED_FINDERS']
+ gem 'active_record_deprecated_finders', path: ENV['AR_DEPRECATED_FINDERS']
+else
+ gem 'active_record_deprecated_finders', git: 'git://github.com/rails/active_record_deprecated_finders'
+end
+
# This needs to be with require false to avoid
# it being automatically loaded by sprockets
gem 'uglifier', '>= 1.0.3', :require => false
View
2 activerecord/activerecord.gemspec
@@ -22,4 +22,6 @@ Gem::Specification.new do |s|
s.add_dependency('activesupport', version)
s.add_dependency('activemodel', version)
s.add_dependency('arel', '~> 3.0.2')
+
+ s.add_dependency('active_record_deprecated_finders', '0.0.1')
end
View
1 activerecord/lib/active_record.rb
@@ -25,6 +25,7 @@
require 'active_support/i18n'
require 'active_model'
require 'arel'
+require 'active_record_deprecated_finders'
require 'active_record/version'

0 comments on commit dd2c9b9

Please sign in to comment.
Something went wrong with that request. Please try again.